Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367256 - Compile upstream DPDK or MoonGen in kernel-rt fails with 'No rule to make target `tools/objtool/objtool''
Summary: Compile upstream DPDK or MoonGen in kernel-rt fails with 'No rule to make tar...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel-rt
Version: 7.3
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Clark Williams
QA Contact: Pei Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 04:56 UTC by Pei Zhang
Modified: 2016-08-19 10:36 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-18 16:55:05 UTC


Attachments (Terms of Use)
full log (deleted)
2016-08-16 04:56 UTC, Pei Zhang
no flags Details

Description Pei Zhang 2016-08-16 04:56:16 UTC
Created attachment 1191059 [details]
full log

Description of problem:
MoonGen complication fails in rt kernel with "No rule to make target `tools/objtool/objtool'"


Version-Release number of selected component (if applicable):
host:
kernel-rt-3.10.0-492.rt56.392.el7.x86_64
kernel-rt-devel-3.10.0-492.rt56.392.el7.x86_64


How reproducible:
100%


Steps to Reproduce:
1. Prepare MoonGen build in host
# git clone https://github.com/emmericp/MoonGen.git
# cd MoonGen
# git submodule update --init

2. Comment out 'SRCS-y += ethtool/igb/igb_main.c' 
vim  deps/dpdk/lib/librte_eal/linuxapp/kni/Makefile
#SRCS-y += ethtool/igb/igb_main.c

3. Build, it fails with 'No rule to make target `tools/objtool/objtool''.  
# ./build.sh
...
== Build lib/librte_eal/linuxapp/igb_uio
== Build lib/librte_eal/linuxapp/kni
make[10]: *** No rule to make target `tools/objtool/objtool', needed by `/root/MoonGen/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/igb_uio/igb_uio.o'.  Stop.
make[9]: *** [_module_/root/MoonGen/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/igb_uio] Error 2
make[8]: *** [sub-make] Error 2
make[7]: *** [igb_uio.ko] Error 2
make[6]: *** [igb_uio] Error 2
make[6]: *** Waiting for unfinished jobs....
make[10]: *** No rule to make target `/root/MoonGen/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/ixgbe_main.o', needed by `/root/MoonGen/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.o'.  Stop.
make[10]: *** Waiting for unfinished jobs....
  LD      /root/MoonGen/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/built-in.o
make[9]: *** [_module_/root/MoonGen/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni] Error 2
make[8]: *** [sub-make] Error 2
make[7]: *** [rte_kni.ko] Error 2
make[6]: *** [kni] Error 2
make[5]: *** [linuxapp] Error 2
make[4]: *** [librte_eal] Error 2
make[3]: *** [lib] Error 2
make[2]: *** [all] Error 2
make[1]: *** [pre_install] Error 2
make: *** [install] Error 2
insmod: ERROR: could not load module ./x86_64-native-linuxapp-gcc/kmod/igb_uio.ko: No such file or directory


Actual results:
The complication fails as Step 3.


Expected results:
The complication of MoonGen should work well.


Additional info:
1. RHEL kernel (non rt) doesn't hit this issue.
MoonGen complication works well with kernel-3.10.0-491.el7.x86_64 and kernel-devel-3.10.0-491.el7.x86_64

2. Upstream dpdk in kernel-rt hit same issue, in kernel-rt fail compilation but in RHEL kernel(non rt) compiles well.
# make install T=x86_64-native-linuxapp-gcc
...
== Build lib/librte_eal/linuxapp/igb_uio
  LD      /root/dpdk-16.07/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/igb_uio/built-in.o
make[10]: *** No rule to make target `tools/objtool/objtool', needed by `/root/dpdk-16.07/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/igb_uio/igb_uio.o'.  Stop.
make[9]: *** [_module_/root/dpdk-16.07/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/igb_uio] Error 2
make[8]: *** [sub-make] Error 2
make[7]: *** [igb_uio.ko] Error 2
make[6]: *** [igb_uio] Error 2
make[5]: *** [linuxapp] Error 2
make[4]: *** [librte_eal] Error 2
make[3]: *** [lib] Error 2
make[2]: *** [all] Error 2
make[1]: *** [pre_install] Error 2
make: *** [install] Error 2

3. Upload full log here:

Comment 2 Peter Xu 2016-08-16 08:04:01 UTC
When with "make V=1", it shows something more:

make -C /usr/src/kernels/3.10.0-489.rt56.388.el7.x86_64 \
KBUILD_SRC=/usr/src/kernels/3.10.0-489.rt56.388.el7.x86_64 \
KBUILD_EXTMOD="/root/git/dpdk/build/build/lib/librte_eal/linuxapp/igb_uio" -f /usr/src/kernels/3.10.0-489.rt56.388.el7.x86_64/Makefile \

test -e include/generated/autoconf.h -a -e include/config/auto.conf || (                \
echo >&2;                                                       \
echo >&2 "  ERROR: Kernel configuration is invalid.";           \
echo >&2 "         include/generated/autoconf.h or include/config/auto.conf are missing.";\
echo >&2 "         Run 'make oldconfig && make prepare' on kernel src to fix it.";      \
echo >&2 ;                                                      \
/bin/false)
mkdir -p /root/git/dpdk/build/build/lib/librte_eal/linuxapp/igb_uio/.tmp_versions ; rm -f /root/git/dpdk/build/build/lib/librte_eal/linuxapp/igb_uio/.tmp_versions/*
make -f /usr/src/kernels/3.10.0-489.rt56.388.el7.x86_64/scripts/Makefile.build obj=/root/git/dpdk/build/build/lib/librte_eal/linuxapp/igb_uio
make[8]: *** No rule to make target `tools/objtool/objtool', needed by `/root/git/dpdk/build/build/lib/librte_eal/linuxapp/igb_uio/igb_uio.o'.  Stop.
make[7]: *** [_module_/root/git/dpdk/build/build/lib/librte_eal/linuxapp/igb_uio] Error 2
make[6]: *** [sub-make] Error 2
make[5]: *** [igb_uio.ko] Error 2
make[4]: *** [igb_uio] Error 2
make[3]: *** [linuxapp] Error 2
make[2]: *** [librte_eal] Error 2
make[1]: *** [lib] Error 2
make: *** [all] Error 2

Looks like kernel-rt-devel RPM is missing some auto-generated headers, like include/generated/autoconf.h.

Comment 4 Clark Williams 2016-08-16 17:31:20 UTC
Tried the reproduction instructions with latest RT kernel (kernel-rt-3.10.0-492.rt56.392.el7) and it *seems* to work:

[root@rhelrt-16 MoonGen.git]# ./build.sh clean
Synchronizing submodule url for 'deps/doxygen-lua'
Synchronizing submodule url for 'deps/dpdk'
Synchronizing submodule url for 'deps/luajit'
==== Building LuaJIT 2.1.0-beta2 ====
make -C src
make[1]: Entering directory `/home/src/MoonGen.git/deps/luajit/src'
make[1]: Nothing to be done for `default'.
make[1]: Leaving directory `/home/src/MoonGen.git/deps/luajit/src'
==== Successfully built LuaJIT 2.1.0-beta2 ====
==== Installing LuaJIT 2.1.0-beta2 to /usr/local ====
mkdir -p /home/src/MoonGen.git/deps/luajit/usr/local/bin /home/src/MoonGen.git/deps/luajit/usr/local/lib /home/src/MoonGen.git/deps/luajit/usr/local/include/luajit-2.1 /home/src/MoonGen.git/deps/luajit/usr/local/share/man/man1 /home/src/MoonGen.git/deps/luajit/usr/local/lib/pkgconfig /home/src/MoonGen.git/deps/luajit/usr/local/share/luajit-2.1.0-beta2/jit /home/src/MoonGen.git/deps/luajit/usr/local/share/lua/5.1 /home/src/MoonGen.git/deps/luajit/usr/local/lib/lua/5.1
cd src && install -m 0755 luajit /home/src/MoonGen.git/deps/luajit/usr/local/bin/luajit-2.1.0-beta2
cd src && test -f libluajit.a && install -m 0644 libluajit.a /home/src/MoonGen.git/deps/luajit/usr/local/lib/libluajit-5.1.a || :
rm -f /home/src/MoonGen.git/deps/luajit/usr/local/lib/libluajit-5.1.so.2.1.0 /home/src/MoonGen.git/deps/luajit/usr/local/lib/libluajit-5.1.so /home/src/MoonGen.git/deps/luajit/usr/local/lib/libluajit-5.1.so.2
cd src && test -f libluajit.so && \
  install -m 0755 libluajit.so /home/src/MoonGen.git/deps/luajit/usr/local/lib/libluajit-5.1.so.2.1.0 && \
  ldconfig -n /home/src/MoonGen.git/deps/luajit/usr/local/lib && \
  ln -sf libluajit-5.1.so.2.1.0 /home/src/MoonGen.git/deps/luajit/usr/local/lib/libluajit-5.1.so && \
  ln -sf libluajit-5.1.so.2.1.0 /home/src/MoonGen.git/deps/luajit/usr/local/lib/libluajit-5.1.so.2 || :
cd etc && install -m 0644 luajit.1 /home/src/MoonGen.git/deps/luajit/usr/local/share/man/man1
cd etc && sed -e "s|^prefix=.*|prefix=/usr/local|" -e "s|^multilib=.*|multilib=lib|" luajit.pc > luajit.pc.tmp && \
  install -m 0644 luajit.pc.tmp /home/src/MoonGen.git/deps/luajit/usr/local/lib/pkgconfig/luajit.pc && \
  rm -f luajit.pc.tmp
cd src && install -m 0644 lua.h lualib.h lauxlib.h luaconf.h lua.hpp luajit.h /home/src/MoonGen.git/deps/luajit/usr/local/include/luajit-2.1
cd src/jit && install -m 0644 bc.lua bcsave.lua dump.lua p.lua v.lua zone.lua dis_x86.lua dis_x64.lua dis_arm.lua dis_ppc.lua dis_mips.lua dis_mipsel.lua vmdef.lua /home/src/MoonGen.git/deps/luajit/usr/local/share/luajit-2.1.0-beta2/jit
==== Successfully installed LuaJIT 2.1.0-beta2 to /usr/local ====

Note: the development releases deliberately do NOT install a symlink for luajit
You can do this now by running this command (with sudo):

  ln -sf luajit-2.1.0-beta2 /home/src/MoonGen.git/deps/luajit/usr/local/bin/luajit

make[5]: Nothing to be done for `depdirs'.
Configuration done
== Build lib
== Build lib/librte_compat
== Build lib/librte_eal
== Build lib/librte_net
== Build lib/librte_eal/common
== Build lib/librte_eal/linuxapp
== Build lib/librte_eal/linuxapp/eal
== Build lib/librte_eal/linuxapp/igb_uio
== Build lib/librte_eal/linuxapp/kni
(cat /dev/null;   echo kernel//home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/igb_uio/igb_uio.ko;) > /home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/igb_uio/modules.order
  Building modules, stage 2.
  MODPOST 1 modules
(cat /dev/null;   echo kernel//home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko;) > /home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/modules.order
  Building modules, stage 2.
  MODPOST 1 modules
WARNING: "igb_setup_tctl" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_driver_name" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_setup_tx_resources" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_unmap_and_free_tx_resource" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_configure_tx_ring" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_free_rx_resources" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_down" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_setup_rx_resources" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_configure_rx_ring" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_driver_version" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_reset" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_xmit_frame_ring" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_kni_remove" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_update_stats" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "e1000_write_pcie_cap_reg" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_setup_rctl" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_kni_probe" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_free_tx_resources" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "e1000_read_pcie_cap_reg" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_set_spd_dplx" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_up" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_power_up_link" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_reinit_locked" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_has_link" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_alloc_rx_buffers" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
== Build lib/librte_ring
== Build lib/librte_timer
== Build lib/librte_cfgfile
== Build lib/librte_cmdline
== Build lib/librte_lpm
== Build lib/librte_kvargs
== Build lib/librte_acl
== Build lib/librte_jobstats
== Build lib/librte_power
== Build lib/librte_meter
== Build lib/librte_hash
== Build lib/librte_mempool
== Build lib/librte_mbuf
== Build lib/librte_ether
== Build lib/librte_cryptodev
== Build lib/librte_sched
== Build lib/librte_distributor
== Build lib/librte_reorder
== Build lib/librte_vhost
== Build lib/librte_ip_frag
== Build lib/librte_kni
== Build lib/librte_port
== Build lib/librte_table
== Build lib/librte_pipeline
== Build drivers
== Build drivers/net
== Build drivers/crypto
== Build drivers/net/af_packet
== Build drivers/crypto/null
== Build drivers/net/cxgbe
== Build drivers/net/bonding
== Build drivers/net/e1000
== Build drivers/net/enic
== Build drivers/net/fm10k
== Build drivers/net/ena
== Build drivers/net/i40e
== Build drivers/net/ixgbe
== Build drivers/net/null
== Build drivers/net/ring
== Build drivers/net/virtio
== Build drivers/net/vmxnet3
== Build drivers/net/vhost
== Build app
== Build app/test-acl
== Build app/test-pipeline
== Build app/cmdline_test
== Build app/proc_info
Build complete [x86_64-native-linuxapp-gcc]
Installation cannot run with T defined and DESTDIR undefined
Could not find any inactive interfaces to bind to DPDK. Note that this script does not bind interfaces that are in use by the OS.
Delete IP addresses from interfaces you would like to use with MoonGen and run this script again.
You can also use the script dpdk_nic_bind.py in deps/dpdk/tools manually to manage interfaces used by MoonGen and the OS.
-- Configuring done
-- Generating done
-- Build files have been written to: /home/src/MoonGen.git/build
[100%] Built target MoonGen
[root@rhelrt-16 MoonGen.git]# ./build.sh
Synchronizing submodule url for 'deps/doxygen-lua'
Synchronizing submodule url for 'deps/dpdk'
Synchronizing submodule url for 'deps/luajit'
==== Building LuaJIT 2.1.0-beta2 ====
make -C src
make[1]: Entering directory `/home/src/MoonGen.git/deps/luajit/src'
make[1]: Nothing to be done for `default'.
make[1]: Leaving directory `/home/src/MoonGen.git/deps/luajit/src'
==== Successfully built LuaJIT 2.1.0-beta2 ====
==== Installing LuaJIT 2.1.0-beta2 to /usr/local ====
mkdir -p /home/src/MoonGen.git/deps/luajit/usr/local/bin /home/src/MoonGen.git/deps/luajit/usr/local/lib /home/src/MoonGen.git/deps/luajit/usr/local/include/luajit-2.1 /home/src/MoonGen.git/deps/luajit/usr/local/share/man/man1 /home/src/MoonGen.git/deps/luajit/usr/local/lib/pkgconfig /home/src/MoonGen.git/deps/luajit/usr/local/share/luajit-2.1.0-beta2/jit /home/src/MoonGen.git/deps/luajit/usr/local/share/lua/5.1 /home/src/MoonGen.git/deps/luajit/usr/local/lib/lua/5.1
cd src && install -m 0755 luajit /home/src/MoonGen.git/deps/luajit/usr/local/bin/luajit-2.1.0-beta2
cd src && test -f libluajit.a && install -m 0644 libluajit.a /home/src/MoonGen.git/deps/luajit/usr/local/lib/libluajit-5.1.a || :
rm -f /home/src/MoonGen.git/deps/luajit/usr/local/lib/libluajit-5.1.so.2.1.0 /home/src/MoonGen.git/deps/luajit/usr/local/lib/libluajit-5.1.so /home/src/MoonGen.git/deps/luajit/usr/local/lib/libluajit-5.1.so.2
cd src && test -f libluajit.so && \
  install -m 0755 libluajit.so /home/src/MoonGen.git/deps/luajit/usr/local/lib/libluajit-5.1.so.2.1.0 && \
  ldconfig -n /home/src/MoonGen.git/deps/luajit/usr/local/lib && \
  ln -sf libluajit-5.1.so.2.1.0 /home/src/MoonGen.git/deps/luajit/usr/local/lib/libluajit-5.1.so && \
  ln -sf libluajit-5.1.so.2.1.0 /home/src/MoonGen.git/deps/luajit/usr/local/lib/libluajit-5.1.so.2 || :
cd etc && install -m 0644 luajit.1 /home/src/MoonGen.git/deps/luajit/usr/local/share/man/man1
cd etc && sed -e "s|^prefix=.*|prefix=/usr/local|" -e "s|^multilib=.*|multilib=lib|" luajit.pc > luajit.pc.tmp && \
  install -m 0644 luajit.pc.tmp /home/src/MoonGen.git/deps/luajit/usr/local/lib/pkgconfig/luajit.pc && \
  rm -f luajit.pc.tmp
cd src && install -m 0644 lua.h lualib.h lauxlib.h luaconf.h lua.hpp luajit.h /home/src/MoonGen.git/deps/luajit/usr/local/include/luajit-2.1
cd src/jit && install -m 0644 bc.lua bcsave.lua dump.lua p.lua v.lua zone.lua dis_x86.lua dis_x64.lua dis_arm.lua dis_ppc.lua dis_mips.lua dis_mipsel.lua vmdef.lua /home/src/MoonGen.git/deps/luajit/usr/local/share/luajit-2.1.0-beta2/jit
==== Successfully installed LuaJIT 2.1.0-beta2 to /usr/local ====

Note: the development releases deliberately do NOT install a symlink for luajit
You can do this now by running this command (with sudo):

  ln -sf luajit-2.1.0-beta2 /home/src/MoonGen.git/deps/luajit/usr/local/bin/luajit

make[5]: Nothing to be done for `depdirs'.
Configuration done
== Build lib
== Build lib/librte_compat
== Build lib/librte_eal
== Build lib/librte_net
== Build lib/librte_eal/common
== Build lib/librte_eal/linuxapp
== Build lib/librte_eal/linuxapp/eal
== Build lib/librte_eal/linuxapp/igb_uio
== Build lib/librte_eal/linuxapp/kni
(cat /dev/null;   echo kernel//home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/igb_uio/igb_uio.ko;) > /home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/igb_uio/modules.order
  Building modules, stage 2.
  MODPOST 1 modules
(cat /dev/null;   echo kernel//home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko;) > /home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/modules.order
  Building modules, stage 2.
  MODPOST 1 modules
WARNING: "igb_setup_tctl" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_driver_name" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_setup_tx_resources" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_unmap_and_free_tx_resource" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_configure_tx_ring" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_free_rx_resources" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_down" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_setup_rx_resources" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_configure_rx_ring" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_driver_version" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_reset" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_xmit_frame_ring" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_kni_remove" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_update_stats" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "e1000_write_pcie_cap_reg" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_setup_rctl" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_kni_probe" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_free_tx_resources" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "e1000_read_pcie_cap_reg" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_set_spd_dplx" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_up" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_power_up_link" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_reinit_locked" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_has_link" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
WARNING: "igb_alloc_rx_buffers" [/home/src/MoonGen.git/deps/dpdk/x86_64-native-linuxapp-gcc/build/lib/librte_eal/linuxapp/kni/rte_kni.ko] undefined!
== Build lib/librte_ring
== Build lib/librte_timer
== Build lib/librte_cfgfile
== Build lib/librte_cmdline
== Build lib/librte_kvargs
== Build lib/librte_lpm
== Build lib/librte_acl
== Build lib/librte_jobstats
== Build lib/librte_power
== Build lib/librte_meter
== Build lib/librte_mempool
== Build lib/librte_hash
== Build lib/librte_mbuf
== Build lib/librte_ether
== Build lib/librte_cryptodev
== Build lib/librte_sched
== Build lib/librte_reorder
== Build lib/librte_distributor
== Build lib/librte_vhost
== Build lib/librte_ip_frag
== Build lib/librte_kni
== Build lib/librte_port
== Build lib/librte_table
== Build lib/librte_pipeline
== Build drivers
== Build drivers/net
== Build drivers/crypto
== Build drivers/crypto/null
== Build drivers/net/af_packet
== Build drivers/net/bonding
== Build drivers/net/cxgbe
== Build drivers/net/ena
== Build drivers/net/e1000
== Build drivers/net/enic
== Build drivers/net/fm10k
== Build drivers/net/ixgbe
== Build drivers/net/i40e
== Build drivers/net/null
== Build drivers/net/ring
== Build drivers/net/virtio
== Build drivers/net/vmxnet3
== Build drivers/net/vhost
== Build app
== Build app/test-acl
== Build app/test-pipeline
== Build app/cmdline_test
== Build app/proc_info
Build complete [x86_64-native-linuxapp-gcc]
Installation cannot run with T defined and DESTDIR undefined
Could not find any inactive interfaces to bind to DPDK. Note that this script does not bind interfaces that are in use by the OS.
Delete IP addresses from interfaces you would like to use with MoonGen and run this script again.
You can also use the script dpdk_nic_bind.py in deps/dpdk/tools manually to manage interfaces used by MoonGen and the OS.
-- Configuring done
-- Generating done
-- Build files have been written to: /home/src/MoonGen.git/build
[100%] Built target MoonGen

Comment 5 Clark Williams 2016-08-16 17:40:37 UTC
What kernel-rt packages are installed on the failing system?


Note You need to log in before you can comment on or make changes to this bug.